This can happen for a variety of reasons. Please troubleshoot the issue by following the steps below one by one. 1) Verify the address mysql is bound to, it’s probably 127.0.0.1 (only) which I believe is the default (at least on standard Ubuntu server). You’ll have to comment out the… Continue Reading [ERROR][logstash.inputs.jdbc Unable to connect to database. Tried 1 times {:error_message=>”Java::ComMysqlJdbcExceptionsJdbc4::CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 1 milliseconds ago. The last packet sent successfully to the server was 1 milliseconds ago.”}

If the mysqld server receives too many connection requests from the host that is interrupted in the middle, the following error occurs: The max_connect_errors system variable determines the number of successive interrupted connection requests that are allowed. Once there are max_connect_errors failed requests without a successful connection, mysqld assumes that something is… Continue Reading Host host_name is blocked

When you get the above error while accessing the Mongodb, you can simply resolve it by changing the role. You need to set the role to be root when adding the first admin user. use admindb.createUser({user: ‘admin’,pwd: ‘password’,roles: [ { role: ‘root’, db: ‘admin’ } ]}); If you have already… Continue Reading List collections failed: not authorized(Mongodb)

ERROR 1153 (08S01) at line 8606: Got a packet bigger than ‘max_allowed_packet’ bytes. Date: 22-05-2021 Introduction: When doing a very large MySQL import from a dump file you may get this error. You can follow the below steps to solve this error. Step 1: You can see the current configured… Continue Reading ERROR 1153 (08S01) at line 8606: Got a packet bigger than ‘max_allowed_packet’ bytes.

If you get the above error, please follow the below steps. Above error states that postgres is not running. Running pg_lsclusters will list all the postgres clusters running on your device. 2. Most probably the status will be down if we get the above error . Try restarting Postgres clusters and servicesystemctl… Continue Reading Is the server running locally and accepting connections on Unix domain socket “/var/run/postgresql/.s.PGSQL.5432”?

Error: Unit mongodb.service is masked when starting the Mongodb Date: 22-03-2021 If you are trying to start the MongoDB service but it’s getting below error. 2. You can use following command to solve the error.# sudo systemctl unmask mongodb 3. Use below command to start the MongoDB service.# sudo systemctl… Continue Reading Error: Unit mongodb.service is masked when starting the Mongodb

If you face the error pg_dump: server version: 11.6 (Debian 11.6-1.pgdg90+1); pg_dump version: 10.10 (Ubuntu 10.10-0ubuntu0.18.04.1) and pg_dump: aborting because of server version mismatch, then you can fix it by upgrading your PostgreSQL client by following the below commands. sudo sh -c ‘echo “deb http://apt.postgresql.org/pub/repos/apt/ lsb_release -cs-pgdg main” >> /etc/apt/sources.list.d/pgdg.list’… Continue Reading How To Fix `pg_dump: aborting because of server version mismatch`

Please follow the below steps to backup the MongoDB.1) Install AWS CLI with the below command.pip install awscli –upgrade –user2) Configure AWS client with the below command.aws configure3) After running the above command it will ask for the below details which are related to IAM user. If you have not… Continue Reading How to backup our MongoDB and push the file into AWS S3 in Ubuntu

How to secure MongoDB databases Date: 22-12-2020 You must edit mongod.conf, MongoDB’s configuration file to enable authentication. Once you enabled it and restart the Mongo service, users will still be able to connect to the database without authenticating. However, they won’t be able to read or modify any data until… Continue Reading How to secure MongoDB databases

We got this Error when we upgraded Bugzilla. This is a normal database error as well. When we ran ./checksetup.pl, we got this error. After following the below steps we upgraded Bugzilla successfully. 1) First we need to check the database version.mysql –version2) If it is below 5.5 then we… Continue Reading The used table type doesn’t support FULLTEXT indexes